Remove <prerequisites> from pom.xml to avoid WARNING 92/56892/2
authorDavid Suarez <david.suarez.fuentes@ericsson.com>
Thu, 11 May 2017 22:17:07 +0000 (00:17 +0200)
committerDavid Suarez <david.suarez.fuentes@ericsson.com>
Thu, 11 May 2017 23:20:46 +0000 (01:20 +0200)
[WARNING] The project ... uses prerequisites which is only intended for
maven-plugin projects but not for non maven-plugin projects. For such
purposes you should use the maven-enforcer-plugin. See
https://maven.apache.org/enforcer/enforcer-rules/requireMavenVersion.html

This is already done in odlparent.

Change-Id: If10668be0f69f89a0101e8fe6bf611130772a9e0
Signed-off-by: David Suarez <david.suarez.fuentes@ericsson.com>
benchmark/pom.xml
features/benchmark/features-mdsal-benchmark/pom.xml

index a0fb942..39752ee 100644 (file)
@@ -18,9 +18,6 @@ and is available at http://www.eclipse.org/legal/epl-v10.html INTERNAL
   <name>${project.artifactId}</name>
   <packaging>pom</packaging>
   <modelVersion>4.0.0</modelVersion>
-  <prerequisites>
-    <maven>3.1.1</maven>
-  </prerequisites>
   <modules>
     <module>api</module>
     <module>dsbenchmark</module>
index 5082503..adfa564 100644 (file)
@@ -17,9 +17,6 @@ and is available at http://www.eclipse.org/legal/epl-v10.html INTERNAL
   <version>1.4.0-SNAPSHOT</version>
   <name>${project.artifactId}</name>
   <modelVersion>4.0.0</modelVersion>
-  <prerequisites>
-    <maven>3.1.1</maven>
-  </prerequisites>
 
   <properties>
     <controller.mdsal.version>1.6.0-SNAPSHOT</controller.mdsal.version>

©2013 OpenDaylight, A Linux Foundation Collaborative Project. All Rights Reserved.
OpenDaylight is a registered trademark of The OpenDaylight Project, Inc.
Linux Foundation and OpenDaylight are registered trademarks of the Linux Foundation.
Linux is a registered trademark of Linus Torvalds.